BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.MetaData.HolidayRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.MetaData.HolidayRepository:

## Public Member Functions
| HolidayRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< int > | GetHolidayCountAsync (DateTime startDate, DateTime endDate, string category="NORMAL")
int | GetWeekEndCount (DateTime startDate, DateTime endDate)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Holiday >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Holiday >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ HolidayRepository()

BMA.EHR.Application.Repositories.MetaData.HolidayRepository.HolidayRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ GetHolidayCountAsync()

async Task< int > BMA.EHR.Application.Repositories.MetaData.HolidayRepository.GetHolidayCountAsync | ( | DateTime | startDate,
|  | DateTime | endDate,
|  | string | category = `"NORMAL"`
| ) |  |
| inline

## ◆ GetWeekEndCount()

int BMA.EHR.Application.Repositories.MetaData.HolidayRepository.GetWeekEndCount | ( | DateTime | startDate,
|  | DateTime | endDate
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/MetaData/HolidayRepository.cs